import React, { Component } from 'react';
import { Language } from './language';

type GreetingProps = {
  name: string,
  language: Language,
};
type GreetingState = {};

const languageToGreeting = (lang: Language): string => {
  if (lang === "jp") {
    return "こんにちは";
  } else if (lang === "es") {
    return "Hola";
  } else {
    return "Hi";
  }
}

export class Greeting extends Component<GreetingProps, GreetingState> {

  constructor(props: GreetingProps) {
    super(props);
  }

  render = (): JSX.Element => {
    const greeting = languageToGreeting(this.props.language);
    return <p lang={this.props.language}>{greeting}, {this.props.name}!</p>
  };
}
